Package org.eclipse.net4j.db.ddl.delta

# Interface IDBIndexFieldDelta

All Superinterfaces:
  `Comparable<IDBDelta>`, `org.eclipse.net4j.util.container.IContainer<IDBDelta>`, `IDBDelta`, `IDBDeltaWithPosition`, `IDBDeltaWithProperties`, `IDBElement`, `IDBNamedElement`, `org.eclipse.net4j.util.event.INotifier`, `org.eclipse.net4j.util.collection.PositionProvider`

public interface IDBIndexFieldDelta extends IDBDeltaWithPosition

Since:
  4.2
Author:
  Eike Stepper
No Implement
  This interface is not intended to be implemented by clients.
No Extend
  This interface is not intended to be extended by clients.

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.container.IContainer

`org.eclipse.net4j.util.container.IContainer.Modifiable<E>, org.eclipse.net4j.util.container.IContainer.Persistable<E>, org.eclipse.net4j.util.container.IContainer.Persistence<E>`

## Nested classes/interfaces inherited from interface org.eclipse.net4j.db.ddl.delta.IDBDelta

`IDBDelta.ChangeKind, IDBDelta.DeltaType`

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.INotifier

`org.eclipse.net4j.util.event.INotifier.INotifier2`

## Field Summary

### Fields inherited from interface org.eclipse.net4j.db.ddl.delta.IDBDeltaWithPosition

`POSITION_PROPERTY`

## Method Summary

Modifier and Type
Method
Description
`IDBIndexDelta`
`getParent()`
`IDBIndexField`
`getSchemaElement(IDBSchema schema)`

### Methods inherited from interface java.lang.Comparable

`compareTo`

### Methods inherited from interface org.eclipse.net4j.util.container.IContainer

`getElements, isEmpty`

### Methods inherited from interface org.eclipse.net4j.db.ddl.delta.IDBDelta

`accept, getChangeKind, getDeltaType, getSchemaDelta`

### Methods inherited from interface org.eclipse.net4j.db.ddl.delta.IDBDeltaWithProperties

`getPropertyDelta, getPropertyDeltas, getPropertyDeltasSortedByName, getPropertyValue, getPropertyValue`

### Methods inherited from interface org.eclipse.net4j.db.ddl.IDBElement

`getProperties`

### Methods inherited from interface org.eclipse.net4j.db.ddl.IDBNamedElement

`getName`

### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

`addListener, getListeners, hasListeners, removeListener`

### Methods inherited from interface org.eclipse.net4j.util.collection.PositionProvider

`getPosition`

## Method Details

### getParent

IDBIndexDelta getParent()

Specified by:
  `getParent` in interface `IDBDelta`
Specified by:
  `getParent` in interface `IDBElement`

### getSchemaElement

IDBIndexField getSchemaElement(IDBSchema schema)

Specified by:
  `getSchemaElement` in interface `IDBDelta`